/form/:id

Update the details of the specified form

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Update the details of the specified form

PUT /api/v2/form/12345.json HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
Accept: application/json
Content-Type: application/json

name=Test%20Form&submit_button_title=Save%20Form&use_ssl=1
curl -X PUT -i -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer [[app:oauth_token]]" -d "name=Test%20Form&submit_button_title=Save%20Form&use_ssl=1" https://www.formstack.com/api/v2/form/12345.json
Path Params
int32
required

Form ID

Body Params
string

The form name

boolean
Defaults to false

Flag to disable or enable submissions to be saved in our database. Value 1 if true and 0 if false.

string

Template ID for the template you want to use

int32

Number (1-4) of columns the form layout will have

string

Sets the default field label position. Possible values are: "top" or "left"

string

Sets the submit button title

string

Sets a password for the form

boolean
Defaults to false

Flag to disable or enable SSL (only available on accounts that have security features)

string

Sets the timezone for the form

string

Sets the language for the form - use ISO 639-1 language codes

boolean
Defaults to false

Flag to make the form active/inactive

string

The message to show when the form is inactive

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json